# SPDX-License-Identifier: MIT
Version:   20080702
Release:   31%{?dist}
URL:       http://www.greekfontsociety-gfs.gr/typefaces/19th_century

%global foundry           GFS
%global fontlicense       OFL
%global fontlicenses      OFL.txt
%global fontdocs          *.txt
%global fontdocsex        %{fontlicenses}

%global fontfamily        Didot Classic
%global fontsummary       GFS Didot Classic, a 19th century Greek font family
%global fontheader        %{expand:
Suggests: font(gfsdidot)
}
%global fonts             *.otf
%global fontconfngs       %{SOURCE1}
%global fontdescription   %{expand:
Under the influence of the neoclassical ideals of the late 18th century, the
famous French type cutter Firmin Didot in Paris designed a new Greek typeface
(1805) which was immediately used in the publishing program of Adamantios
Korai, the prominent intellectual figure of the Greek diaspora and leading
scholar of the Greek Enlightenment. The typeface eventually arrived in Greece,
with the field press which came with Didot’s grandson Ambroise Firmin Didot,
during the Greek Revolution in 1821. Since then the typeface has enjoyed an
unrivaled success as the type of choice for almost every kind of publication
until the last decades of the 20th century.

Didot’s original type design, as it is documented in publications during the
first decades of the 19th century, was digitized and revived by George D.
Matthiopoulos in 2006 for a project of the Department of Literature in the
School of Philosophy at the University of Thessaloniki, and is now available
for general use.}

%fontpkg
%docpkg

%sourcelist
%global archivename %{lua:t=string.gsub(rpm.expand("%{foundry} %{fontfamily}"), "[%p%s]+", "_");print(t)}
http://www.greekfontsociety-gfs.gr/_assets/fonts/%{archivename}.zip
61-%{fontname}.xml

%prep
%setup -q -c -T
unzip -j -q  %{SOURCE0}
%linuxtext *.txt

%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%files doc
%defattr(644, root, root, 0755)
%license OFL.txt
%doc *.pdf

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20080702-31
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20080702-30
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20080702-29
🐞 Workaround Fedora problems created by rpm commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20080702-28
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20080702-27
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20080702-26
✅ Lint, lint, lint and lint again

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20080702-25
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20080702-24
✅ Convert to fonts-rpm-macros use

* Sun Nov 25 2007 Nicolas Mailhot <nim@fedoraproject.org>
- 20070415-1
✅ Initial packaging
